Bug 1760992 (CVE-2019-2999) - CVE-2019-2999 OpenJDK: Insufficient filtering of HTML event attributes in Javadoc (Javadoc, 8226765)
Summary: CVE-2019-2999 OpenJDK: Insufficient filtering of HTML event attributes in Jav...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2999
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754089 1754096 1760369 1760981 1760982 1776413 1777848 1777849 1777850 1777851 1777852 1778949 1754086 1754087 1754088 1754094 1754095 1754097 1754098 1760368 1760370 1776411 1776412
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-11 21:18 UTC by Tomas Hoger
Modified: 2019-12-05 15:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:04:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3141 None None None 2019-10-17 18:57:11 UTC
Red Hat Product Errata RHBA-2019:3148 None None None 2019-10-18 09:02:36 UTC
Red Hat Product Errata RHBA-2019:3186 None None None 2019-10-23 19:17:47 UTC
Red Hat Product Errata RHBA-2019:3188 None None None 2019-10-23 08:43:59 UTC
Red Hat Product Errata RHBA-2019:3739 None None None 2019-11-06 13:32:41 UTC
Red Hat Product Errata RHBA-2019:3741 None None None 2019-11-06 14:22:49 UTC
Red Hat Product Errata RHBA-2019:3823 None None None 2019-11-11 12:51:55 UTC
Red Hat Product Errata RHBA-2019:3830 None None None 2019-11-12 12:37:28 UTC
Red Hat Product Errata RHBA-2019:3831 None None None 2019-11-12 12:45:42 UTC
Red Hat Product Errata RHBA-2019:3884 None None None 2019-11-14 13:30:01 UTC
Red Hat Product Errata RHBA-2019:3885 None None None 2019-11-14 13:26:12 UTC
Red Hat Product Errata RHBA-2019:3937 None None None 2019-11-20 21:05:22 UTC
Red Hat Product Errata RHSA-2019:3127 None None None 2019-10-16 14:45:36 UTC
Red Hat Product Errata RHSA-2019:3128 None None None 2019-10-16 14:18:53 UTC
Red Hat Product Errata RHSA-2019:3134 None None None 2019-10-17 09:57:47 UTC
Red Hat Product Errata RHSA-2019:3135 None None None 2019-10-17 09:59:02 UTC
Red Hat Product Errata RHSA-2019:3136 None None None 2019-10-17 14:27:21 UTC
Red Hat Product Errata RHSA-2019:3157 None None None 2019-10-21 15:11:38 UTC
Red Hat Product Errata RHSA-2019:3158 None None None 2019-10-21 15:00:34 UTC
Red Hat Product Errata RHSA-2019:4109 None None None 2019-12-05 15:21:35 UTC
Red Hat Product Errata RHSA-2019:4110 None None None 2019-12-05 15:21:00 UTC

Description Tomas Hoger 2019-10-11 21:18:42 UTC
It was discovered that Javadoc documentation generator did not properly filter all event handler attributes of HTML tags included in documentation comments in Java source code.  A malicious Java source file could use this flaw to inject JavaScript into the Javadoc-generated HTML documentation pages, possibly leading to cross-site scripting (XSS) attacks.

Comment 1 Tomas Hoger 2019-10-15 20:59:23 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1, 11.0.5, 8u231, and 7u241.

Comment 2 errata-xmlrpc 2019-10-16 14:18:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:57:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:59:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 9 errata-xmlrpc 2019-10-21 15:00:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3158 https://access.redhat.com/errata/RHSA-2019:3158

Comment 10 errata-xmlrpc 2019-10-21 15:11:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3157 https://access.redhat.com/errata/RHSA-2019:3157

Comment 12 Product Security DevOps Team 2019-12-03 01:04:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2999

Comment 13 errata-xmlrpc 2019-12-05 15:20:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4110 https://access.redhat.com/errata/RHSA-2019:4110

Comment 14 errata-xmlrpc 2019-12-05 15:21:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4109 https://access.redhat.com/errata/RHSA-2019:4109


Note You need to log in before you can comment on or make changes to this bug.